Interface MicrometerEndpointBuilderFactory.MicrometerBuilders

All Known Subinterfaces:
EndpointBuilderFactory
All Known Implementing Classes:
EndpointRouteBuilder, EndpointRouteConfigurationBuilder
Enclosing interface:
MicrometerEndpointBuilderFactory

public static interface MicrometerEndpointBuilderFactory.MicrometerBuilders
  • Method Details

    • micrometer

      Micrometer (camel-micrometer) Collect various metrics directly from Camel routes using the Micrometer library. Category: monitoring Since: 2.22 Maven coordinates: org.apache.camel:camel-micrometer
      Returns:
      the dsl builder for the headers' name.
    • micrometer

      Micrometer (camel-micrometer) Collect various metrics directly from Camel routes using the Micrometer library. Category: monitoring Since: 2.22 Maven coordinates: org.apache.camel:camel-micrometer Syntax: micrometer:metricsType:metricsName Path parameter: metricsType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricsName (required) Name of metrics Path parameter: tags Tags of metrics
      Parameters:
      path - metricsType:metricsName
      Returns:
      the dsl builder
    • micrometer

      Micrometer (camel-micrometer) Collect various metrics directly from Camel routes using the Micrometer library. Category: monitoring Since: 2.22 Maven coordinates: org.apache.camel:camel-micrometer Syntax: micrometer:metricsType:metricsName Path parameter: metricsType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricsName (required) Name of metrics Path parameter: tags Tags of metrics
      Parameters:
      componentName - to use a custom component name for the endpoint instead of the default name
      path - metricsType:metricsName
      Returns:
      the dsl builder